import * as React from 'react';
import { ThemeInterface } from 'react-magma-dom';
import './styles.min.css';
export declare enum CarbonChartType {
    area = "area",
    areaStacked = "areaStacked",
    bar = "bar",
    barGrouped = "barGrouped",
    barStacked = "barStacked",
    boxplot = "boxplot",
    bubble = "bubble",
    bullet = "bullet",
    donut = "donut",
    gauge = "gauge",
    histogram = "histogram",
    line = "line",
    lollipop = "lollipop",
    meter = "meter",
    pie = "pie",
    radar = "radar",
    scatter = "scatter",
    combo = "combo"
}
export interface CarbonChartProps extends React.HTMLAttributes<HTMLDivElement> {
    dataSet: Array<Object>;
    isInverse?: boolean;
    /**
     * For a complete list of options, see Carbon Charts documentation
     */
    options: Object;
    testId?: string;
    /**
     * @internal
     */
    theme?: ThemeInterface;
    /**
     * Type of Chart: area, bar, donut, line, etc.
     */
    type: CarbonChartType;
}
export declare const CarbonChart: React.ForwardRefExoticComponent<CarbonChartProps & React.RefAttributes<HTMLDivElement>>;
