import * as React from 'react';
import { LineChartProps } from './LineChart';
interface BaseChartProps {
    /**
     * Description of what the line chart data represents placed above the chart
     */
    description?: string;
    /**
     * @internal
     */
    testId?: string;
    /**
     * Title of the line chart
     */
    title: string;
    /**
     * Type of chart - for now just 'line' is accepted
     */
    type: string;
}
export interface ChartProps<T extends any> extends BaseChartProps, Omit<React.HTMLAttributes<HTMLDivElement>, 'title'>, LineChartProps<T> {
}
declare function BaseChart<T>(props: ChartProps<T>, ref: React.Ref<HTMLDivElement>): JSX.Element;
export declare const Chart: <T>(props: ChartProps<T> & {
    ref?: React.MutableRefObject<HTMLDivElement> | undefined;
}) => ReturnType<typeof BaseChart>;
export {};
