import * as React from 'react';
import { VictoryAxisProps, VictoryChartProps, VictoryLineProps, VictoryScatterProps } from 'victory';
export declare type LineChartAxisStyle = VictoryAxisProps['style'];
export declare type DataGetterPropType = VictoryLineProps['x'];
export declare type ChartDataOptions = {
    label: string;
    x: string | number;
    y: string | number;
    [key: string]: any;
} | {
    label: string;
    [key: string]: any;
} | any;
export interface LineChartData<T> {
    name: string;
    data: T[];
}
export interface LineChartComponentProps {
    chart?: VictoryChartProps;
    line?: VictoryLineProps;
    scatter?: VictoryScatterProps;
    xAxis?: VictoryAxisProps;
    yAxis?: VictoryAxisProps;
}
/**
 * @deprecated Please use CarbonChart instead
 */
export interface LineChartProps<T extends ChartDataOptions> {
    /**
     * Props passed to each component that makes up the line chart. See `victory` for accepted props.
     */
    componentProps?: LineChartComponentProps;
    /**
     * Data used to build the chart
     */
    data?: LineChartData<T>[];
    isMulti?: boolean;
    /**
     * @internal
     */
    lastFocusedScatterPoint: React.MutableRefObject<SVGPathElement | null>;
    /**
     * @internal
     */
    pointRefArray: React.MutableRefObject<React.MutableRefObject<Element>[]>;
    /**
     * @internal
     */
    registerPoint: (refArray: React.MutableRefObject<React.MutableRefObject<Element>[]>, ref: React.MutableRefObject<Element>) => void;
    /**
     * @internal
     */
    tabRef: React.MutableRefObject<HTMLButtonElement | null>;
    /**
     * @internal
     */
    unregisterPoint: (refArray: React.MutableRefObject<React.MutableRefObject<Element>[]>, ref: React.MutableRefObject<Element>) => void;
    /**
     * Value of x key in chart data
     */
    x?: keyof T;
    /**
     * Value of y key in chart data
     */
    y?: keyof T;
}
export declare function LineChart<T>(props: LineChartProps<T>): JSX.Element;
